- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases/merge#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases/merge#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases/merge#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases/merge#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases/merge#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases/merge#body.MergeCasesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases/merge#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases/merge#body.aspect_1)

**Full name**: projects.locations.instances.cases.merge

Merges one or more cases into a single destination case. This is useful when multiple cases are determined to be part of the same security investigation.

### HTTP request

`POST https://{endpoint}/v1/{parent}/cases:merge`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to merge cases on. Format: projects/{project}/locations/{location}/instances/{instance}/cases |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "casesIds": [ integer ], "caseToMergeWith": integer } ``` |

| Fields ||
|---|---|
| `casesIds[]` | `integer` Required. Cases to merge. |
| `caseToMergeWith` | `integer` Required. Case to merge with. |

### Response body

Response message for cases.merge.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "newCaseId": integer, "isRequestValid": boolean, "errors": [ string ] } ``` |

| Fields ||
|---|---|
| `newCaseId` | `integer` Output only. New caseId if request is successful, null otherwise. |
| `isRequestValid` | `boolean` Output only. Flag that indicates whether the request is valid or not. |
| `errors[]` | `string` Output only. Error list if request is invalid. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.cases.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).